Bug 1067399 - nagios-plugins-icmp with nrpe - not working out of the box.
Summary: nagios-plugins-icmp with nrpe - not working out of the box.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: nagios-plugins
Version: el6
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Ohad Levy
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-20 11:54 UTC by Michal Bruncko
Modified: 2017-06-29 18:17 UTC (History)
5 users (show)

Fixed In Version: nagios-plugins-2.2.1-1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-06-29 18:17:14 UTC


Attachments (Terms of Use)

Description Michal Bruncko 2014-02-20 11:54:45 UTC
Description of problem:

check_icmp plug-in is not working out-of-the-box with NRPE daemon. If I define nrpe command with icmp_plugin and try to run it from remote host using check_nrpe -H ... -c <command>, I always get "NRPE: Unable to read output".

the problem here is with file permissions. Check_icmp is shipped with:

-rwsr-x---. 1 root nagios 61336 Oct 17 13:43 /usr/lib64/nagios/plugins/check_icmp

and nrpe daemon is running under "nrpe" user - which causes problems running check_icmp without any further modifications.

possible corrections: 
- add read+execution permission to "other" for check_icmp, OR
- put nrpe user into "nagios" group using "usermod -a -G nagios nrpe" (following by restarting nrpe daemon) - the safer way

Version-Release number of selected component (if applicable):
nrpe-2.14-5.el6.x86_64
nagios-plugins-icmp-1.4.16-10.el6.x86_64

How reproducible:
always

is it possible to add %postinst routine for nagios-plugins-icmp package to:
- check whether NRPE daemon is installed or not
- and if it is installed, add nrpe user into nagios group

or implement any other kind of modification in order to make this working out of the box?

thanks

Comment 2 Fedora Update System 2017-02-15 14:31:47 UTC
nagios-plugins-2.1.4-5.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-4e77054bfa

Comment 3 Fedora Update System 2017-02-16 14:16:01 UTC
nagios-plugins-2.1.4-5.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-4e77054bfa

Comment 4 Fedora Update System 2017-02-16 21:15:31 UTC
nagios-plugins-2.1.4-6.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-b820953367

Comment 5 Fedora Update System 2017-02-17 15:30:46 UTC
nagios-plugins-2.1.4-7.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-994c77a4cd

Comment 6 Fedora Update System 2017-02-18 00:16:41 UTC
nagios-plugins-2.1.4-7.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-994c77a4cd

Comment 7 Fedora Update System 2017-02-25 21:52:54 UTC
nagios-plugins-2.2.0-3.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-5d813cd00d

Comment 8 Fedora Update System 2017-02-25 22:27:19 UTC
nagios-plugins-2.2.0-4.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-b0accaba31

Comment 9 Fedora Update System 2017-02-26 22:48:31 UTC
nagios-plugins-2.2.0-4.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-b0accaba31

Comment 10 Fedora Update System 2017-03-11 00:48:09 UTC
nagios-plugins-2.2.0-6.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-4a502a08b4

Comment 11 Fedora Update System 2017-03-11 12:47:53 UTC
nagios-plugins-2.2.0-6.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-4a502a08b4

Comment 12 Fedora Update System 2017-03-13 13:30:03 UTC
nagios-plugins-2.2.0-7.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-1623674064

Comment 13 Fedora Update System 2017-03-14 00:16:44 UTC
nagios-plugins-2.2.0-7.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-1623674064

Comment 14 Fedora Update System 2017-04-21 00:16:45 UTC
nagios-plugins-2.2.1-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-306cbf64b0

Comment 15 Fedora Update System 2017-06-29 18:17:14 UTC
nagios-plugins-2.2.1-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.